selfStart {nls} | R Documentation

## Construct Self-starting Nonlinear Models

### Description

This function is generic; methods functions can be written to handle specific classes of objects. Available methods include `selfStart.default` and `selfStart.formula`. See the documentation on the appropriate method function.

### Usage

    selfStart(model, initial, parameters, template)

### Arguments

`model` | a function object defining a nonlinear model.
`initial` | a function object, taking three arguments: `mCall`, `data`, and `LHS`, representing, respectively, a matched call to the function `model`, a data frame in which to interpret the variables in `mCall`, and the expression from the left-hand side of the model formula in the call to `nls`. This function should return initial values for the parameters in `model`.
`parameters, template` | arguments used by some methods..

### Value

a function object of the `selfStart` class.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`selfStart.default`, `selfStart.formula`

### Examples

    ## see documentation for the methods

[Package Contents]